API ReferenceapicommunityPOST /v1/milestones

POST /v1/milestones

Service: community · operationId: (none)

Required scopes

(no scope declared — review service config)

Request body

{
  "type": "object",
  "properties": {
    "metric_key": {
      "type": "string"
    },
    "value_numeric": {
      "type": "string"
    },
    "value_text": {
      "type": "string"
    },
    "image_url": {
      "type": "string",
      "format": "uri"
    },
    "body": {
      "type": "string"
    }
  }
}

Responses

201 Milestone created

{
  "type": "object",
  "properties": {
    "id": {
      "type": "string"
    },
    "user_id": {
      "type": "string"
    },
    "metric_key": {
      "type": [
        "string",
        "null"
      ]
    },
    "value_numeric": {
      "type": [
        "string",
        "null"
      ]
    },
    "value_text": {
      "type": [
        "string",
        "null"
      ]
    },
    "image_url": {
      "type": [
        "string",
        "null"
      ]
    },
    "body": {
      "type": [
        "string",
        "null"
      ]
    },
    "created_at": {
      "type": "string"
    }
  },
  "required": [
    "id",
    "user_id",
    "metric_key",
    "value_numeric",
    "value_text",
    "image_url",
    "body",
    "created_at"
  ]
}

400 Validation error

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X POST https://community.platform.loop.health/v1/milestones \
  -H "Authorization: Bearer $ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{ ... }'